Transfer funds from processor to account
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "acc_xyz123",
"amount": "500.00"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: 'acc_xyz123', amount: '500.00'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer"
payload = {
"account_id": "acc_xyz123",
"amount": "500.00"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}{}Processors
Processor Transfer
Transfer funds from processor to subscriber
POST
/
processors
/
{id}
/
transfer
Transfer funds from processor to account
curl --request POST \
--url https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"account_id": "acc_xyz123",
"amount": "500.00"
}
'const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({account_id: 'acc_xyz123', amount: '500.00'})
};
fetch('https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://olive-gateway-a6ba.onrender.com/api/v1/processors/{id}/transfer"
payload = {
"account_id": "acc_xyz123",
"amount": "500.00"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){}{}{}{}Processor Transfer
Transfer funds from processor account to a subscriber account.Endpoint
POST /api/v1/processors/:id/transfer
Authentication
string
required
Bearer token (Processor or Admin JWT)
Path Parameters
string
required
Processor UUID
Request Body
string
required
Recipient account ID
string
required
Amount to transfer (e.g., “500.00”)
string
Transfer description
Response
{
"success": true,
"transaction_id": "txn_abc123",
"message": "Transfer completed successfully"
}
Errors
| Code | Description |
|---|---|
| 400 | Invalid amount or insufficient balance |
| 404 | Processor or account not found |
| 401 | Unauthorized |
Authorizations
JWT token from admin login for administrative operations. Format: 'Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9...'
Path Parameters
Processor ID
Body
application/json
Transfer details
Response
Transfer completed successfully
The response is of type object.
⌘I